You can get real-time data, via HTTP SSE notifications, available in Talkdesk Live (real-time live monitoring dashboard of a Talkdesk account activity).The Live dashboard metrics is available here.
Supported Regions and Base URLs
Access and RegistrationAuthentication
Available QueriesYou can check the Live API available queries using this endpoint.
Scope
live-subscriptions:write
Request Body - Example
{
"queries": [
{
"id": "7b8deafb74bf490288220fd3543b76af",
"metadata": {
"name": "arrived_contacts"
},
"params": {},
"filters": {
"ring_groups": [
"agents"
],
"range": {
"type": "interval",
"interval": 86400
}
}
}
]
}- The response provides the representation of the newly created subscription with the description of its queries.
- The relation
streamprovides the URL for an HTTP SSE client to connect, including the token of a subscription stream resource.
Body Response - Schema
200 (subscription information)
| Parameter | Type | Description | Required |
|---|---|---|---|
| id | string | the subscription unique identifier | yes |
| _links | object | "_links" subdivides into: 1 - "stream" (object) 2 - "self" (object) | no |
| entries | object | List of subscribed entries. 1 - "params" (object) - set of parameters for the queries. Each one may have a default value and, if applicable, a hard limit. If a parameter does not have a default, then it is mandatory. 2 - "metadata" (object) - metadata related with the use of the query on the client side. 3 - "query_id" (string) - query unique identifier. 4 - "id" (string) - subscription query unique identifier. Required. 5 - "filters" (object) - set of filters for the query. 6 - "_links" (object) | no |
400 (bad request), 401 (unauthorized), 403 (forbidden), 404 (not found), 415 (unsupported media type), 422 (unprocessable entity)
| Parameter | Type | Description | Required |
|---|---|---|---|
| code | string | n/a | yes |
| message | string | n/a | yes |
| description | string | n/a | no |
| fields | array[object] | "fields" subdivides into: "name" (string) "description" (string) | yes (name and description) |
TroubleshootingIf you have any questions regarding the usage of this API, or if you’re having any technical issues, please open a ticket using this form.
Body Request ParametersThe body of the request consists of a parameter called
queries, an array of objects that subdivides intoid,metadata,paramsandfilters.